summaryrefslogtreecommitdiff
path: root/qa/1026
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/1026
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/1026')
-rwxr-xr-xqa/102640
1 files changed, 40 insertions, 0 deletions
diff --git a/qa/1026 b/qa/1026
new file mode 100755
index 0000000..9ed2f85
--- /dev/null
+++ b/qa/1026
@@ -0,0 +1,40 @@
+#!/bin/sh
+# PCP QA Test No. 1026
+# Test for pmdumptext regressions
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+which pmdumptext >/dev/null 2>&1 || _notrun "pmdumptext not installed"
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+multi=`./getpmcdhosts -p multi -n 1`
+[ -z "$multi" ] && _notrun "Cannot get remote multi-CPU machine"
+single=`./getpmcdhosts -p single -n 1`
+[ -z "$single" ] && _notrun "Cannot get remote single-CPU machine"
+
+_filter()
+{
+ sed \
+ -e "s/$multi/MULTI/g" \
+ -e "s/$single/SINGLE/g" \
+ -e 's/[1-2][0-9]*\.000 1\.000/N 1/g' \
+ -e 's/[2-9]\.000 1\.000/N 1/g' \
+ -e "s/$$/TMP/g"
+}
+
+# real QA test starts here
+
+# check support for different hosts at once
+eval pmdumptext -lM -s 1 -d "' '" -f "''" $multi:hinv.ncpu $single:hinv.ncpu | _filter
+
+# check that we manage a bad config file OK
+pmdumptext -c $tmp.not_here 2>&1 | _filter
+
+# check that instances are converted to canonical units
+pmdumptext -C -iu $single:kernel.percpu.cpu.user[cpu0] 2>&1 | _filter
+
+exit